// Copyright (C) 2010 - DIGITEO - Michael Baudin
//
// This file must be used under the terms of the GNU LGPL license.





//
// %BENCHENV_string --
//   Returns the string containing the BENCHENV
//
function str = %BENCHENV_string ( this )
  str = []
  k = 1
  str(k) = msprintf("Benchmark Environment:")
  k = k + 1
  str(k) = msprintf("=========================")
  k = k + 1
  str(k) = msprintf("version: %s\n", env.version)
  k = k + 1
  str(k) = msprintf("nproc: %s\n", _tostring(env.nproc))
  k = k + 1
  str(k) = msprintf("os: %s\n", env.os)
  k = k + 1
  str(k) = msprintf("archi: %s\n", env.archi)
  k = k + 1
  str(k) = msprintf("cpu: %s\n", env.cpu)
endfunction

function s = _tostring ( x )
  if ( x==[] ) then
    s = "[]"
  else
    n = size ( x , "*" )
    if ( n == 1 ) then
      s = string(x)
    else
      s = "["+strcat(string(x)," ")+"]"
    end
  end
endfunction


